#
# To build against different kernel use: --define "kernel_version VERSION-RELEASE"
#

Name: lin_tape
Summary: IBM Tape SCSI Device Driver for Linux
Version: 1.24.0
Release: 2%{?dist}
Epoch: 0
Source: %{name}-%{version}.tgz
Source1: %{name}-depmod.conf
Source2: %{name}-98-%{name}.permissions
Packager: Jaroslaw.Polok@cern.ch
Vendor: CERN, http://cern.ch/linux
License: GPL
ExclusiveArch: i686 x86_64 ia64
Group: System Environment/Kernel
URL: ftp://ftp.software.ibm.com/storage/devdrvr/Linux/archive/lin_tape_source-lin_taped/
Conflicts: IBMtape

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: %{name}-kmod-common = %{?epoch:%{epoch}:}%{version}

Source1111: slc-kmodtool
BuildRequires: %kernel_module_package_buildreqs

%define upvar default
%ifarch i686
%define paevar PAE
%endif
%ifarch i686 ia64 x86_64
%define xenvar xen
%endif

#kernel_module_package -s %{SOURCE1111} -v %{kversion} -r %{krelease} %{?upvar} %{?xenvar} %{?paevar}
%kernel_module_package -s %{SOURCE1111} %{?upvar} %{?xenvar} %{?paevar}

%description
The IBM Tape Device Driver, lin_tape, product is a device driver
that provides attachment for the IBM TotalStorage and System
Storage tape devices to Linux compatible platforms.


%prep
rm -rf %{buildroot}/*
%setup -n %{name}-%{version}/
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
for flavor in %flavors_to_build ; do
   rm -rf obj/$flavor
   cp -r source obj/$flavor
   make -C %{kernel_source $flavor} M=$PWD/obj/$flavor
done



%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
for flavor in %flavors_to_build ; do
   make -C %{kernel_source $flavor} modules_install \
           M=$PWD/obj/$flavor
done

install -d -m0755 $RPM_BUILD_ROOT/%{_sysconfdir}/depmod.d/
install -m0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/depmod.d/%{name}.conf
install -d -m0755 $RPM_BUILD_ROOT/%{_sysconfdir}/udev/permissions.d/
install -m0644 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/udev/permissions.d/98-%{name}.permissions

%clean

rm -rf %{buildroot}/*

%files 
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/depmod.d/%{name}.conf
%config %{_sysconfdir}/udev/permissions.d/98-%{name}.permissions

%doc source/COPYING*
%doc source/lin_tape_359X*.ReadMe
%doc source/lin_tape_Ultrium*.ReadMe
%doc source/lin_tape.fixlist

%changelog
* Thu Jun 25 2009 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.24.0
- added udev rules

* Fri Jun 05 2009 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.24.0
- Initial build


